org.apache.ignite.internal.util.nio

## Interface GridNioMessageReaderFactory

    public interface GridNioMessageReaderFactory

Message reader factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`MessageReader` `reader(GridNioSession ses, MessageFactory msgFactory)` Creates new reader.

### Method Detail

#### reader

    MessageReader reader(GridNioSession ses,
                         MessageFactory msgFactory)
                  throws IgniteCheckedException

Creates new reader.

Parameters:
  `ses` - Current session.
  `msgFactory` - Message factory.
Returns:
  Reader.
Throws:
  `IgniteCheckedException` - In case of error.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018